Subject: Re: ep88xc_defconfig doesn't build

From: Olof Johansson <[email-masked]>
Date: Sun, 21 Oct 2007 20:17:40 -0500

On Mon, Oct 22, 2007 at 10:36:25AM +1000, David Gibson wrote:
> On Fri, Oct 19, 2007 at 09:43:55PM -0500, Olof Johansson wrote:
> > Hi,
> > 
> > Did it ever?! I get this with current mainline when building default target:
> 
> I think you must have an old dtc; I'm pretty sure I removed the check
> for /chosen some time ago.  But then I also thought we added a force
> to the dtc commant line in wrapper ages ago, so now I'm a bit confused.

Hrm, seems like I had an old version. It's a little annoying that it's a
moving target and it's impossible to find out form a built binary which
version it is, besides trying to guess based on file time stamps.

A nice enhancement could be to have a "dtc -v" and have the makefile
verify it before using it.

-Olof